<template>
    <v-container>
        <p class="font-weight-bold text-h5">Toutes les présentations</p>
        <v-row>
            <v-col
                cols="3"
                v-for="presentation in getPresentations()"
                :key="presentation.id"
            >
                <div
                    @click="navigateToSlide(presentation.id)"
                    class="custom-link"
                    style="cursor: pointer;"
                >
                    <v-card class="ma-3 pa-3" height="150" width="100%">
                        <v-row
                            no-gutters
                            class="fill-height"
                            align="center"
                            justify="center"
                        >
                            {{ presentation.title }}
                        </v-row>
                    </v-card>
                </div>
            </v-col>
        </v-row>
    </v-container>
</template>

<script>
import axios from "axios";
import { getPresentations } from "@/services/presentations";

export default {
    data() {
        return {
            info: null,
        };
    },
    mounted() {
        axios
            .get("https://api.coindesk.com/v1/bpi/currentprice.json")
            .then((response) => (this.info = response));
    },
    methods: {
        getPresentations,
        navigateToSlide(presentationId) {
            this.$router.push('presentation/' + presentationId + '/' + this.$store.getters['slide/getFirstSlide'](presentationId))
        }
    },
};
</script>
